none
Found conflicts between different versions of the same dependent assembly that could not be resolved. These reference conflicts are listed in the build log when log verbosity is set to detailed. RRS feed

  • Pergunta

  • Ao buildar minha solução (tanto no Visual Studio quanto no servidor de Build), surge o seguinte warning  em todos meus projetos de Unit Test:

    "Found conflicts between different versions of the same dependent assembly that could not be resolved.  These reference conflicts are listed in the build log when log verbosity is set to detailed."

    Olhando o log detalhado, descobri está havendo algum conflito no Microsoft.VisualStudio.QualityTools.UnitTestFramework.dll. Olhando o código do .csproj, existe esse trecho de código abaixo que parece que é causa do problema, sendo que criei o projeto normalmente e não fiz nenhuma edição.

      <Choose>
        <When Condition="('$(VisualStudioVersion)' == '10.0' or '$(VisualStudioVersion)' == '') and '$(TargetFrameworkVersion)' == 'v3.5'">
          <ItemGroup>
            <Reference Include="Microsoft.VisualStudio.QualityTools.UnitTestFramework, Version=10.1.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
          </ItemGroup>
        </When>
        <Otherwise>
          <ItemGroup>
            <Reference Include="Microsoft.VisualStudio.QualityTools.UnitTestFramework" />
          </ItemGroup>
        </Otherwise>
      </Choose>

    P.S.: Estou usando Visual Studio Ultimate 2013 Update 4 e todos os projeto estão usando .NET Framework 4.5.

    quinta-feira, 30 de abril de 2015 21:09

Respostas

  • aki tem a solucao: http://stackoverflow.com/questions/1871073/resolving-msb3247-found-conflicts-between-different-versions-of-the-same-depen


    A flower cannot blossom without sunshine, and man cannot live without love.

    sexta-feira, 1 de maio de 2015 18:17
    Moderador